package ecoparasite.svg.elements;

import ecoparasite.svg.Coordonnees;

abstract public class Element {

    protected Coordonnees coordonnees;

    public Element(Coordonnees coordonnees) {
        this.coordonnees = coordonnees;
    }

    public Coordonnees getCoordonnees() {
        return coordonnees;
    }

    public void setCoordonnees(Coordonnees coordonnees) {
        this.coordonnees = coordonnees;
    }

    public void setCoordonnees(int x, int y) {
        this.coordonnees = new Coordonnees(x, y);
    }

    /**
     * Méthode abstraite qui va permettre de transformer notre élément en SVG.
     * @return La String SVF
     */
    abstract public String toSVG();

}
